package com.jiuqi.util;

/* loaded from: com_jiuqi_util.jar:com/jiuqi/util/ArrayUtils.class */
public class ArrayUtils {
    public static <T> boolean contains(T[] tArr, T obj) {
        if (tArr == null) {
            throw new IllegalArgumentException("参数 array 不能为 null ！");
        }
        for (T elem : tArr) {
            if (elem != null || obj != null) {
                if (elem != null && elem.equals(obj)) {
                    return true;
                }
            } else {
                return true;
            }
        }
        return false;
    }

    public static <T> void move(T[] tArr, int fromIndex, int toIndex, int length) {
        if (tArr == null) {
            throw new IllegalArgumentException("参数 array 不能为 null ！");
        }
        if (fromIndex <= -1 || toIndex <= -1 || fromIndex >= tArr.length || toIndex > tArr.length || length < 0) {
            throw new IllegalArgumentException();
        }
        if (length == 0) {
            return;
        }
        if (fromIndex + length > tArr.length) {
            throw new IllegalArgumentException();
        }
        if (fromIndex <= toIndex && fromIndex + length > toIndex) {
            return;
        }
        Object[] temp = new Object[length];
        System.arraycopy(tArr, fromIndex, temp, 0, length);
        if (fromIndex > toIndex) {
            System.arraycopy(tArr, toIndex, tArr, toIndex + length, fromIndex - toIndex);
            System.arraycopy(temp, 0, tArr, toIndex, length);
        } else {
            System.arraycopy(tArr, fromIndex + length, tArr, fromIndex, (toIndex - fromIndex) - length);
            System.arraycopy(temp, 0, tArr, toIndex - length, length);
        }
    }
}
